<?xml version="1.0"?>
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd http://www.w3.org/1999/xlink http://www.xbrl.org/2003/xlink-2003-12-31.xsd">
  <link:roleRef xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/net-2009-12-16.xsd#netLabel" roleURI="http://www.xbrl.org/2009/role/netLabel" />
  <link:labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/periodEndLabel" xlink:label="CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition_periodEndLabel_labelen" xml:lang="en">Cash and cash equivalents if different from statement of financial positionat end of period</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition" xlink:to="CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition_periodEndLabel_labelen" xlink:type="arc" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/periodStartLabel" xlink:label="CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition_periodStartLabel_labelen" xml:lang="en">Cash and cash equivalents if different from statement of financial position at beginning of period</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition" xlink:to="CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition_periodStartLabel_labelen" xlink:type="arc" />
    <link:loc xlink:type="locator" xlink:label="CurrentContractAssetsAndCurrentTradeReceivables" xlink:href="nexity-2025-12-31.xsd#nexity_CurrentContractAssetsAndCurrentTradeReceivables" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="CurrentContractAssetsAndCurrentTradeReceivables_label_labelen" xml:lang="en">Current Contract Assets And Current Trade Receivables</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CurrentContractAssetsAndCurrentTradeReceivables" xlink:to="CurrentContractAssetsAndCurrentTradeReceivables_label_labelen" xlink:type="arc" />
    <link:loc xlink:type="locator" xlink:label="EliminationOfNetProfitFromEquityAccountedInvestments" xlink:href="nexity-2025-12-31.xsd#nexity_EliminationOfNetProfitFromEquityAccountedInvestments" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="EliminationOfNetProfitFromEquityAccountedInvestments_label_labelen" xml:lang="en">Elimination Of Net Profit From Equity Accounted Investments</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="EliminationOfNetProfitFromEquityAccountedInvestments" xlink:to="EliminationOfNetProfitFromEquityAccountedInvestments_label_labelen" xlink:type="arc" />
    <link:loc xlink:type="locator" xlink:label="EliminationOfAmortisationAndProvisions" xlink:href="nexity-2025-12-31.xsd#nexity_EliminationOfAmortisationAndProvisions" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="EliminationOfAmortisationAndProvisions_label_labelen" xml:lang="en">Elimination Of Amortisation And Provisions</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="EliminationOfAmortisationAndProvisions" xlink:to="EliminationOfAmortisationAndProvisions_label_labelen" xlink:type="arc" />
    <link:loc xlink:type="locator" xlink:label="OperatingProfitAfterShareOfProfitOfEquityAccountedCompanies" xlink:href="nexity-2025-12-31.xsd#nexity_OperatingProfitAfterShareOfProfitOfEquityAccountedCompanies" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="OperatingProfitAfterShareOfProfitOfEquityAccountedCompanies_label_labelen" xml:lang="en">Operating Profit After Share Of Profit Of Equity Accounted Companies</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OperatingProfitAfterShareOfProfitOfEquityAccountedCompanies" xlink:to="OperatingProfitAfterShareOfProfitOfEquityAccountedCompanies_label_labelen" xlink:type="arc" />
    <link:loc xlink:type="locator" xlink:label="PurchaseOfPropertyPlantAndEquipmentAndIntangibleAssets" xlink:href="nexity-2025-12-31.xsd#nexity_PurchaseOfPropertyPlantAndEquipmentAndIntangibleAssets" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="PurchaseOfPropertyPlantAndEquipmentAndIntangibleAssets_label_labelen" xml:lang="en">Purchase Of Property Plant And Equipment And Intangible Assets</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PurchaseOfPropertyPlantAndEquipmentAndIntangibleAssets" xlink:to="PurchaseOfPropertyPlantAndEquipmentAndIntangibleAssets_label_labelen" xlink:type="arc" />
    <link:loc xlink:type="locator" xlink:label="EliminationOfNetInterestExpenseIncome" xlink:href="nexity-2025-12-31.xsd#nexity_EliminationOfNetInterestExpenseIncome" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="EliminationOfNetInterestExpenseIncome_label_labelen" xml:lang="en">Elimination Of Net Interest Expense Income</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="EliminationOfNetInterestExpenseIncome" xlink:to="EliminationOfNetInterestExpenseIncome_label_labelen" xlink:type="arc" />
    <link:loc xlink:type="locator" xlink:label="BorrowingsAndShortTermFinancialDebtsAndTheOperatingCycle" xlink:href="nexity-2025-12-31.xsd#nexity_BorrowingsAndShortTermFinancialDebtsAndTheOperatingCycle" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="BorrowingsAndShortTermFinancialDebtsAndTheOperatingCycle_label_labelen" xml:lang="en">Borrowings And Short Term Financial Debts And The Operating Cycle</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="BorrowingsAndShortTermFinancialDebtsAndTheOperatingCycle" xlink:to="BorrowingsAndShortTermFinancialDebtsAndTheOperatingCycle_label_labelen" xlink:type="arc" />
    <link:loc xlink:type="locator" xlink:label="CurrentOperationProfit" xlink:href="nexity-2025-12-31.xsd#nexity_CurrentOperationProfit" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="CurrentOperationProfit_label_labelen" xml:lang="en">Current Operation Profit</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CurrentOperationProfit" xlink:to="CurrentOperationProfit_label_labelen" xlink:type="arc" />
    <link:loc xlink:type="locator" xlink:label="NonRecurringOperatingIncome" xlink:href="nexity-2025-12-31.xsd#nexity_NonRecurringOperatingIncome" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="NonRecurringOperatingIncome_label_labelen" xml:lang="en">Non Recurring Operating Income</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NonRecurringOperatingIncome" xlink:to="NonRecurringOperatingIncome_label_labelen" xlink:type="arc" />
    <link:loc xlink:type="locator" xlink:label="PurchasesSalesOfTreasuryShare" xlink:href="nexity-2025-12-31.xsd#nexity_PurchasesSalesOfTreasuryShare" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="PurchasesSalesOfTreasuryShare_label_labelen" xml:lang="en">Purchases Sales Of Treasury Share</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PurchasesSalesOfTreasuryShare" xlink:to="PurchasesSalesOfTreasuryShare_label_labelen" xlink:type="arc" />
    <link:loc xlink:type="locator" xlink:label="EliminationOfDepreciationOfRightofuseAssets" xlink:href="nexity-2025-12-31.xsd#nexity_EliminationOfDepreciationOfRightofuseAssets" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="EliminationOfDepreciationOfRightofuseAssets_label_labelen" xml:lang="en">Elimination Of Depreciation Of Rightofuse Assets</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="EliminationOfDepreciationOfRightofuseAssets" xlink:to="EliminationOfDepreciationOfRightofuseAssets_label_labelen" xlink:type="arc" />
    <link:loc xlink:type="locator" xlink:label="AcquisitionsDisposalsOfMinoritInterestsWithNoGainOrLossControl" xlink:href="nexity-2025-12-31.xsd#nexity_AcquisitionsDisposalsOfMinoritInterestsWithNoGainOrLossControl" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="AcquisitionsDisposalsOfMinoritInterestsWithNoGainOrLossControl_label_labelen" xml:lang="en">Acquisitions Disposals Of Minorit Interests With No Gain Or Loss Control</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AcquisitionsDisposalsOfMinoritInterestsWithNoGainOrLossControl" xlink:to="AcquisitionsDisposalsOfMinoritInterestsWithNoGainOrLossControl_label_labelen" xlink:type="arc" />
    <link:loc xlink:type="locator" xlink:label="CurrentOtherAssets" xlink:href="nexity-2025-12-31.xsd#nexity_CurrentOtherAssets" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="CurrentOtherAssets_label_labelen" xml:lang="en">Current Other Assets</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CurrentOtherAssets" xlink:to="CurrentOtherAssets_label_labelen" xlink:type="arc" />
    <link:loc xlink:type="locator" xlink:label="OtherChangesInScope" xlink:href="nexity-2025-12-31.xsd#nexity_OtherChangesInScope" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="OtherChangesInScope_label_labelen" xml:lang="en">Other Changes In Scope</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OtherChangesInScope" xlink:to="OtherChangesInScope_label_labelen" xlink:type="arc" />
    <link:loc xlink:type="locator" xlink:label="ProfitLossBeforeTaxBeforeShareOfNetProfitLossOfOtherEquityAccountedInvestments" xlink:href="nexity-2025-12-31.xsd#nexity_ProfitLossBeforeTaxBeforeShareOfNetProfitLossOfOtherEquityAccountedInvestments" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="ProfitLossBeforeTaxBeforeShareOfNetProfitLossOfOtherEquityAccountedInvestments_label_labelen" xml:lang="en">Profit Loss Before Tax Before Share Of Net Profit Loss Of Other Equity Accounted Investments</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProfitLossBeforeTaxBeforeShareOfNetProfitLossOfOtherEquityAccountedInvestments" xlink:to="ProfitLossBeforeTaxBeforeShareOfNetProfitLossOfOtherEquityAccountedInvestments_label_labelen" xlink:type="arc" />
    <link:loc xlink:type="locator" xlink:label="ShareOfNetProfitLossOfEquityAccountedInvestments" xlink:href="nexity-2025-12-31.xsd#nexity_ShareOfNetProfitLossOfEquityAccountedInvestments" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="ShareOfNetProfitLossOfEquityAccountedInvestments_label_labelen" xml:lang="en">Share Of Net Profit Loss Of Equity Accounted Investments</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ShareOfNetProfitLossOfEquityAccountedInvestments" xlink:to="ShareOfNetProfitLossOfEquityAccountedInvestments_label_labelen" xlink:type="arc" />
    <link:loc xlink:type="locator" xlink:label="ImpactsOfChangeInScope" xlink:href="nexity-2025-12-31.xsd#nexity_ImpactsOfChangeInScope" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="ImpactsOfChangeInScope_label_labelen" xml:lang="en">Impacts Of Change In Scope</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ImpactsOfChangeInScope" xlink:to="ImpactsOfChangeInScope_label_labelen" xlink:type="arc" />
    <link:loc xlink:type="locator" xlink:label="ReservesAndRetainedEarnings" xlink:href="nexity-2025-12-31.xsd#nexity_ReservesAndRetainedEarnings" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="ReservesAndRetainedEarnings_label_labelen" xml:lang="en">Reserves And Retained Earnings</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReservesAndRetainedEarnings" xlink:to="ReservesAndRetainedEarnings_label_labelen" xlink:type="arc" />
    <link:loc xlink:type="locator" xlink:label="ChangesInCashAndCashEquivalentsIfDifferentFromStatementOfFinancialPositionAbstract" xlink:href="nexity-2025-12-31.xsd#nexity_ChangesInCashAndCashEquivalentsIfDifferentFromStatementOfFinancialPositionAbstract" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="ChangesInCashAndCashEquivalentsIfDifferentFromStatementOfFinancialPositionAbstract_label_labelen" xml:lang="en">Changes In Cash And Cash Equivalents If Different From Statement Of Financial Position Abstract</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ChangesInCashAndCashEquivalentsIfDifferentFromStatementOfFinancialPositionAbstract" xlink:to="ChangesInCashAndCashEquivalentsIfDifferentFromStatementOfFinancialPositionAbstract_label_labelen" xlink:type="arc" />
    <link:loc xlink:type="locator" xlink:label="OtherShortTermFinancialAssets" xlink:href="nexity-2025-12-31.xsd#nexity_OtherShortTermFinancialAssets" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="OtherShortTermFinancialAssets_label_labelen" xml:lang="en">Other Short Term Financial Assets</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OtherShortTermFinancialAssets" xlink:to="OtherShortTermFinancialAssets_label_labelen" xlink:type="arc" />
    <link:loc xlink:type="locator" xlink:label="OtherShortTermLiabilities" xlink:href="nexity-2025-12-31.xsd#nexity_OtherShortTermLiabilities" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="OtherShortTermLiabilities_label_labelen" xml:lang="en">Other Short Term Liabilities</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OtherShortTermLiabilities" xlink:to="OtherShortTermLiabilities_label_labelen" xlink:type="arc" />
    <link:loc xlink:type="locator" xlink:label="ShareOfNetProfitLossOfOtherEquityAccountedInvestments" xlink:href="nexity-2025-12-31.xsd#nexity_ShareOfNetProfitLossOfOtherEquityAccountedInvestments" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="ShareOfNetProfitLossOfOtherEquityAccountedInvestments_label_labelen" xml:lang="en">Share Of Net Profit Loss Of Other Equity Accounted Investments</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ShareOfNetProfitLossOfOtherEquityAccountedInvestments" xlink:to="ShareOfNetProfitLossOfOtherEquityAccountedInvestments_label_labelen" xlink:type="arc" />
    <link:loc xlink:type="locator" xlink:label="CashFlowsFromOperatingActivitiesAfterInterestAndTaxExpenses" xlink:href="nexity-2025-12-31.xsd#nexity_CashFlowsFromOperatingActivitiesAfterInterestAndTaxExpenses" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="CashFlowsFromOperatingActivitiesAfterInterestAndTaxExpenses_label_labelen" xml:lang="en">Cash Flows From Operating Activities After Interest And Tax Expenses</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CashFlowsFromOperatingActivitiesAfterInterestAndTaxExpenses" xlink:to="CashFlowsFromOperatingActivitiesAfterInterestAndTaxExpenses_label_labelen" xlink:type="arc" />
    <link:loc xlink:type="locator" xlink:label="OtherOperatingExpenses" xlink:href="nexity-2025-12-31.xsd#nexity_OtherOperatingExpenses" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="OtherOperatingExpenses_label_labelen" xml:lang="en">Other Operating Expenses</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OtherOperatingExpenses" xlink:to="OtherOperatingExpenses_label_labelen" xlink:type="arc" />
    <link:loc xlink:type="locator" xlink:label="ProceedsFromSalesOfPropertyPlantAndEquipmentAndIntangibleAssets" xlink:href="nexity-2025-12-31.xsd#nexity_ProceedsFromSalesOfPropertyPlantAndEquipmentAndIntangibleAssets" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="ProceedsFromSalesOfPropertyPlantAndEquipmentAndIntangibleAssets_label_labelen" xml:lang="en">Proceeds From Sales Of Property Plant And Equipment And Intangible Assets</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProceedsFromSalesOfPropertyPlantAndEquipmentAndIntangibleAssets" xlink:to="ProceedsFromSalesOfPropertyPlantAndEquipmentAndIntangibleAssets_label_labelen" xlink:type="arc" />
    <link:loc xlink:type="locator" xlink:label="EliminationOfNetProfitFromOtherEquityAccountedInvestments" xlink:href="nexity-2025-12-31.xsd#nexity_EliminationOfNetProfitFromOtherEquityAccountedInvestments" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="EliminationOfNetProfitFromOtherEquityAccountedInvestments_label_labelen" xml:lang="en">Elimination Of Net Profit From Other Equity Accounted Investments</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="EliminationOfNetProfitFromOtherEquityAccountedInvestments" xlink:to="EliminationOfNetProfitFromOtherEquityAccountedInvestments_label_labelen" xlink:type="arc" />
  </link:labelLink>
</link:linkbase>